# Get consent by ID

Retrieve a consent by ID. <br><br>**Required permissions**: `apps:read`, `[appId]:read`, `consents:read`.

Endpoint: GET /v1/consents/{consentId}
Security: ClientAccessToken

## Path parameters:

  - `consentId` (string, required)
    ID of the consent to retrieve

## Response 200 fields (application/json):

  - `result` (object, required)

  - `result.consent_id` (string, required)
    ID of the consent

  - `result.tenant_id` (string, required)
    ID of the tenant

  - `result.app_id` (string, required)
    ID of the app

  - `result.client_id` (string, required)
    ID of the client

  - `result.user_id` (string, required)
    ID of the user

  - `result.scope` (string, required)
    Configures the consent scope of the user

  - `result.created_at` (number, required)
    Date the consent was created in the tenant

  - `result.expires_at` (number, required)
    Date the consent will be expired

  - `result.updated_at` (number, required)
    Date the consent will be expired

## Response 404 fields (application/json):

  - `message` (string, required)

  - `error_code` (number, required)
    Example: 404

